## yaskkserv 0.4.0

=== Makefile ===
# -*- Makefile -*-




include Makefile.config




ifdef DEBUG

export VAR_PATH		= $(PROJECT_ROOT)/var/$(ARCHITECTURE_LOWER_CASE)/debug

else				# DEBUG

export VAR_PATH		= $(PROJECT_ROOT)/var/$(ARCHITECTURE_LOWER_CASE)/release

endif				# DEBUG




export MAKEFILE		= Makefile.$(ARCHITECTURE_LOWER_CASE)
export MAKEDEPEND	= $(PERL) -w $(PROJECT_ROOT)/tools/build/makedepend.$(ARCHITECTURE_LOWER_CASE)
MAKEWRAPPER		= $(PERL) -w $(PROJECT_ROOT)/tools/build/makewrapper.$(ARCHITECTURE_LOWER_CASE)
MAKEWRAPPER_LOG		= $(VAR_PATH)/makewrapper.log

ifeq ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)
SOURCE_PATH		= ./source
PRECOMMAND		=
else				# ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)
include UNKNOWN_ARCHITECTURE_or_Makefile.config_not_found__please_execute_configure__dummy_include_file
endif				# ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)




.PHONY			: all clean run makerun break makebreak kill makekill debugger vlist vhist vreport tags depend cleandepend install package test




all			:
	$(PRE_COMMAND)
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) all




run			:
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) run




makerun			:
	$(PRE_COMMAND)
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) makerun




break			:
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) break


makebreak			:
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) makebreak




clean			:
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) clean




realclean			:
	$(RM) -rf ./var
	$(RM) -rf Makefile.config




distclean			: realclean




depend			:
	$(PRE_COMMAND)
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) depend




cleandepend		:
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) cleandepend




test			:
	$(MAKEWRAPPER) $(MAKEWRAPPER_LOG) $(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) test




install_common_		:
	$(MKDIR) -p $(PREFIX)/bin
	$(INSTALL) $(VAR_PATH)/yaskkserv_make_dictionary/yaskkserv_make_dictionary $(PREFIX)/bin/yaskkserv_make_dictionary




install			: install_normal


install_all		: install_common_
	$(MKDIR) -p $(PREFIX)/sbin
	$(INSTALL) $(VAR_PATH)/yaskkserv_simple/yaskkserv_simple $(PREFIX)/sbin/yaskkserv_simple
	$(INSTALL) $(VAR_PATH)/yaskkserv_normal/yaskkserv_normal $(PREFIX)/sbin/yaskkserv_normal
	$(INSTALL) $(VAR_PATH)/yaskkserv_hairy/yaskkserv_hairy $(PREFIX)/sbin/yaskkserv_hairy


install_simple		: install_common_
	$(MKDIR) -p $(PREFIX)/sbin
	$(INSTALL) $(VAR_PATH)/yaskkserv_simple/yaskkserv_simple $(PREFIX)/sbin/yaskkserv


install_normal		: install_common_
	$(MKDIR) -p $(PREFIX)/sbin
	$(INSTALL) $(VAR_PATH)/yaskkserv_normal/yaskkserv_normal $(PREFIX)/sbin/yaskkserv


install_hairy		: install_common_
	$(MKDIR) -p $(PREFIX)/sbin
	$(INSTALL) $(VAR_PATH)/yaskkserv_hairy/yaskkserv_hairy $(PREFIX)/sbin/yaskkserv




package			:
	$(MKDIR) -p var &&\
	$(MKDIR) -p var/package &&\
	$(RM) -rf var/package/yaskkserv-$(PROJECT_VERSION) &&\
	hg archive var/package/yaskkserv-$(PROJECT_VERSION) &&\
	cd var/package &&\
	$(RM) -f yaskkserv-$(PROJECT_VERSION)/.hg_archival.txt &&\
	$(RM) -f yaskkserv-$(PROJECT_VERSION)/.hgignore &&\
	$(RM) -rf yaskkserv-$(PROJECT_VERSION)/local &&\
	tar cjf yaskkserv-$(PROJECT_VERSION).tar.bz2 yaskkserv-$(PROJECT_VERSION) &&\
	sha1sum yaskkserv-$(PROJECT_VERSION).tar.bz2

=== debian/changelog ===
yaskkserv (0.4.0-5) unstable; urgency=low

  [ KURASHIKI Satoru ]
  * New Standards-Version: 3.9.1
  * Make lintian clean (for copyright issues).
  * Fix init script to restart correctly.
  * DM-Upload-Allowed.

  [ Tatsuya Kinoshita ]
  * README.source: Renamed from README.Debian-source.
  * debian/source/format: Remove trailing blank line.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Apr 2011 17:14:33 +0900

yaskkserv (0.4.0-4) unstable; urgency=low

  * Source format 3.0 (quilt)
  * New Standards-Version: 3.8.4
  * Fix document installation.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 19 May 2010 21:36:18 +0900

yaskkserv (0.4.0-3) unstable; urgency=low

  * fix build dependency. (Closes: #533815)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 14 Sep 2009 02:35:05 +0900

yaskkserv (0.4.0-2) unstable; urgency=low

  * Fix dependencies (Conflicts and Enhances). (Closes: #526510)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 17 May 2009 00:20:31 +0900

yaskkserv (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 30 Apr 2008 16:22:02 +0900

yaskkserv (0.3.9-1) unstable; urgency=low

  * New upstream release.
    - workaround for gcc-4.3 (Closes: #474880, #475815)
    - many code cleanup (Closes: #475687)
  * Remove debian patches because of fixed in upstream.
  * Now depends on gcc-4.3, requirement for lenny release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 29 Apr 2008 15:59:56 +0900

yaskkserv (0.3.8-5) unstable; urgency=low

  * complete LSB header for the init.d script. (Closes: #476776)
  * remove incorrect Build-Depends. (Closes: #476778)
  * fixup lintian warnings: (Closes: #475686)
    - debian/changelog: shorten line length of 0.3.8-4.
    - debian/preinst: remove.
  * configure: 
    - replace LANG with LC_ALL, and change default from en_US
      to C. (Closes: #475687)
    - remove g++ version checking, leaving it to dpkg.
      (Closes: #474880, #475815)
  * source/unit_test_benchmark/unit_test_benchmark.cpp:
    - remove storage specifier. (for porting to gcc-4.3).

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 20 Apr 2008 12:01:00 +0900

yaskkserv (0.3.8-4) unstable; urgency=low

  * apply patch to fix a formatting mistake in manpage. (Closes: #472950) 
  * debian/*: fixup lintian warnings:
    - change doc-base section from unknown to Help/HOWTO.
    - move usr/share/yaskkserv from dirs file to maintainer script.
  * configure: change g++ version check string to deal with gcc-4.3.
    (Closes: #474880) 

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 12 Apr 2008 11:09:54 +0900

yaskkserv (0.3.8-3) unstable; urgency=low

  * fix time stamp of changelog (0.3.8-1). (Closes: #465223)
  * clean up *.diff.gz. (Closes: #465224)
  * add dictionary update script. (Closes: #464809)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 25 Mar 2008 17:58:04 +0900

yaskkserv (0.3.8-2) unstable; urgency=low

  * fix init script to run without /etc/default/yaskkserv. (Closes: #465138)
  * change default configuration of DICS:  (Closes: #464811, #464812, #464810)
    - debian/yaskkserv.init: fix syntax of if clause.
    - debian/yaskkserv.default: only "SKK-JISYO.L" is enabled.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 11 Feb 2008 12:22:50 +0900

yaskkserv (0.3.8-1) unstable; urgency=low

  * New upstream release (Closes: #461887)
  * configure: use mkstemps to treat tmpfile carefully.
  * skk_gcc.cpp: change debug log file location from /tmp to
    /var/log/yaskkserv.
  * debian/*: fix some packaging error pointed out by mentor.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 30 Jan 2008 23:14:56 +0900

yaskkserv (0.3.7-1) unstable; urgency=low

  * New upstream release

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 17 Jan 2008 10:19:37 +0900

yaskkserv (0.3.6-1) unstable; urgency=low

  * Initial release

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 11 Jan 2008 09:52:01 +0900

=== debian/control ===
Source: yaskkserv
Section: utils
Priority: extra
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Uploaders: Tatsuya Kinoshita <tats@debian.org>
DM-Upload-Allowed: yes
Homepage: http://umiushi.org/~wac/yaskkserv/
Build-Depends: debhelper (>= 5), g++ (>= 4:4.3)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/users/lurdan-guest/yaskkserv.git
Vcs-Browser: http://git.debian.org/?p=users/lurdan-guest/yaskkserv.git

Package: yaskkserv
Architecture: any
Provides: skkserv
Conflicts: skkserv, skkinput
Replaces: skkserv
Depends: skkdic, ${shlibs:Depends}, ${misc:Depends}
Recommends: skkdic-extra
Enhances: ddskk, uim-skk, scim-skk
Description: small and fast SKK dictionary server intended for embedded use
 yaskkserv is a dictionary server for the SKK Japanese input method
 system. yaskkserv is written in C++ from scratch in consideration of
 embedded environment, but is compatible with skkserv on the protocol
 behavior.
 .
 yaskkserv can use multiple dictionaries and also supports server
 completion.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
http://umiushi.org/~wac/yaskkserv/ yaskkserv-(.*)\.tar\.bz2

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/yaskkserv-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/yaskkserv-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/yaskkserv/yaskkserv-(.*)\.tar\.gz

## yaskkserv 0.5.1

=== debian/changelog ===
yaskkserv (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: switch to dep-5 format. (Closes: #645633)
  * debian/watch: fix option to deal with beta versioning. (Closes: #645634)
  * New patch: disable-optimization. (Closes: #645712, #645635)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 19 Oct 2011 08:52:01 +0900

yaskkserv (0.5.0-2) unstable; urgency=low

  * debian/update-skkdic-yaskkserv: Don't fail when generating
    SKK-JISYO.yaskkserv.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 17 Oct 2011 22:01:33 +0900

yaskkserv (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Enhances ibus-skk. (Closes: #638140)
  * re-close a bug which should be closed at 0.4.0-6. (Closes: #624583)
  * update-skkdic-yaskkserv: cares user settings when it converts skkdics.
    (Closes: #638139)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 25 Sep 2011 19:59:45 +0900

yaskkserv (0.4.0-6) unstable; urgency=low

  * New Standards-Version: 3.9.2
  * support SKK-JISYO alternatives. (Closees: #624583)
  * move Vcs-* locations.
  * users can add customized dictionary in /etc/default/yaskkserv

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 06 Jul 2011 00:29:33 +0900

## yaskkserv 0.5.2

=== Makefile ===
# -*- Makefile -*-

include Makefile.config

ifdef DEBUG
export VAR_PATH		= $(PROJECT_ROOT)/var/$(ARCHITECTURE_LOWER_CASE)/debug
else				# DEBUG
export VAR_PATH		= $(PROJECT_ROOT)/var/$(ARCHITECTURE_LOWER_CASE)/release
endif				# DEBUG

export MAKEFILE		= Makefile.$(ARCHITECTURE_LOWER_CASE)
export MAKEDEPEND	= $(PERL) -w $(PROJECT_ROOT)/tools/build/makedepend.$(ARCHITECTURE_LOWER_CASE)

ifeq ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)
SOURCE_PATH		= ./source
PRECOMMAND		=
else				# ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)
include UNKNOWN_ARCHITECTURE_or_Makefile.config_not_found__please_execute_configure__dummy_include_file
endif				# ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)

.PHONY			: all clean run makerun break makebreak kill makekill debugger vlist vhist vreport tags depend cleandepend install package test setup

all			: setup
	$(PRE_COMMAND)
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) all

run			: setup
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) run

makerun			: setup
	$(PRE_COMMAND)
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) makerun

break			: setup
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) break

makebreak		: setup
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) makebreak

clean			: setup
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) clean

realclean		: setup
	$(RM) -rf ./var
	$(RM) -rf Makefile.config

distclean		: realclean

depend			: setup
	$(PRE_COMMAND)
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) depend

cleandepend		: setup
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) cleandepend

test			:
	$(MAKE) --no-print-directory -C $(SOURCE_PATH) -f $(MAKEFILE) test

install_common_		:
	$(MKDIR) -p $(PREFIX)/bin
	$(INSTALL) $(VAR_PATH)/yaskkserv_make_dictionary/yaskkserv_make_dictionary $(PREFIX)/bin/yaskkserv_make_dictionary

install			: install_normal

install_all		: install_common_
	$(MKDIR) -p $(PREFIX)/sbin
	$(INSTALL) $(VAR_PATH)/yaskkserv_simple/yaskkserv_simple $(PREFIX)/sbin/yaskkserv_simple
	$(INSTALL) $(VAR_PATH)/yaskkserv_normal/yaskkserv_normal $(PREFIX)/sbin/yaskkserv_normal
	$(INSTALL) $(VAR_PATH)/yaskkserv_hairy/yaskkserv_hairy $(PREFIX)/sbin/yaskkserv_hairy

install_simple		: install_common_
	$(MKDIR) -p $(PREFIX)/sbin
	$(INSTALL) $(VAR_PATH)/yaskkserv_simple/yaskkserv_simple $(PREFIX)/sbin/yaskkserv

install_normal		: install_common_
	$(MKDIR) -p $(PREFIX)/sbin
	$(INSTALL) $(VAR_PATH)/yaskkserv_normal/yaskkserv_normal $(PREFIX)/sbin/yaskkserv

install_hairy		: install_common_
	$(MKDIR) -p $(PREFIX)/sbin
	$(INSTALL) $(VAR_PATH)/yaskkserv_hairy/yaskkserv_hairy $(PREFIX)/sbin/yaskkserv

package			:
	$(MKDIR) -p var &&\
	$(MKDIR) -p var/package &&\
	$(RM) -rf var/package/yaskkserv-$(PROJECT_VERSION) &&\
	hg archive var/package/yaskkserv-$(PROJECT_VERSION) &&\
	cd var/package &&\
	$(RM) -f yaskkserv-$(PROJECT_VERSION)/.hg_archival.txt &&\
	$(RM) -f yaskkserv-$(PROJECT_VERSION)/.hgignore &&\
	$(RM) -rf yaskkserv-$(PROJECT_VERSION)/local &&\
	tar cjf yaskkserv-$(PROJECT_VERSION).tar.bz2 yaskkserv-$(PROJECT_VERSION) &&\
	sha1sum yaskkserv-$(PROJECT_VERSION).tar.bz2

setup			:
	mkdir -p $(VAR_PATH)/skk/architecture/$(ARCHITECTURE_LOWER_CASE)
	mkdir -p $(VAR_PATH)/yaskkserv_hairy
	mkdir -p $(VAR_PATH)/yaskkserv_make_dictionary
	mkdir -p $(VAR_PATH)/yaskkserv_normal
	mkdir -p $(VAR_PATH)/yaskkserv_simple

=== debian/changelog ===
yaskkserv (0.5.2-3) unstable; urgency=low

  * New Standards-Version: 3.9.3
  * apply patch to build on hurd. (Closes: #674979)
  * enable hardening build flags.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 16 Jun 2012 11:02:45 +0900

yaskkserv (0.5.2-2) unstable; urgency=low

  * apply as-needed patch. (Closes: #649236)
  * fix wrong init option. (Closes: #647353)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 20 Nov 2011 18:59:12 +0900

yaskkserv (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 01 Nov 2011 20:51:04 +0900

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 DM-Upload-Allowed: yes
 Homepage: http://umiushi.org/~wac/yaskkserv/
 Build-Depends: debhelper (>= 5), g++ (>= 4:4.3)
-Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/users/lurdan-guest/yaskkserv.git
-Vcs-Browser: http://git.debian.org/?p=users/lurdan-guest/yaskkserv.git
+Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/collab-maint/yaskkserv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yaskkserv.git;a=summary
 
 Package: yaskkserv
 Architecture: any
@@ -17,7 +17,7 @@
 Replaces: skkserv
 Depends: skkdic, ${shlibs:Depends}, ${misc:Depends}
 Recommends: skkdic-extra
-Enhances: ddskk, uim-skk, scim-skk
+Enhances: ddskk, uim-skk, scim-skk, ibus-skk
 Description: small and fast SKK dictionary server intended for embedded use
  yaskkserv is a dictionary server for the SKK Japanese input method
  system. yaskkserv is written in C++ from scratch in consideration of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_LDFLAGS_MAINT_APPEND = -defs

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
#export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
#DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
#DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

Makefile.config:
	dh_testdir
	./configure --prefix=$(CURDIR)/debian/yaskkserv/usr --gplusplus=g++ --enable-google-japanese-input

build: build-arch build-indep
build-arch: build-stamp
build-indep:

build-stamp: Makefile.config
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/yaskkserv.sgml > yaskkserv.1

	touch $@

clean: clean1
	rm -rf var/

clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile.config ] || $(MAKE) clean
	rm -rf Makefile.config

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/yaskkserv.
	$(MAKE) install_all #clean

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs README.TXT
	cp -R documentation $(CURDIR)/debian/yaskkserv/usr/share/doc/yaskkserv/
	dh_installexamples
	dh_install debian/update-skkdic-yaskkserv usr/sbin
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/yaskkserv_make_dictionary.1
	dh_installman debian/yaskkserv_hairy.1
	dh_installman debian/yaskkserv_normal.1
	dh_installman debian/yaskkserv_simple.1
	dh_installman debian/update-skkdic-yaskkserv.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/beta/~beta/;s/.beta/~beta/;s/_SKK/~SKK/" \
http://umiushi.org/~wac/yaskkserv/ yaskkserv-(.*)\.tar\.bz2

## yaskkserv 0.6.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 ifeq ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)
 SOURCE_PATH		= ./source
-PRECOMMAND		=
+PRE_COMMAND		=
 else				# ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)
 include UNKNOWN_ARCHITECTURE_or_Makefile.config_not_found__please_execute_configure__dummy_include_file
 endif				# ($(ARCHITECTURE),BSD_CYGWIN_LINUX_GCC)
@@ -89,8 +89,9 @@
 	$(RM) -f yaskkserv-$(PROJECT_VERSION)/.hg_archival.txt &&\
 	$(RM) -f yaskkserv-$(PROJECT_VERSION)/.hgignore &&\
 	$(RM) -rf yaskkserv-$(PROJECT_VERSION)/local &&\
-	tar cjf yaskkserv-$(PROJECT_VERSION).tar.bz2 yaskkserv-$(PROJECT_VERSION) &&\
-	sha1sum yaskkserv-$(PROJECT_VERSION).tar.bz2
+	tar czf yaskkserv-$(PROJECT_VERSION).tar.gz yaskkserv-$(PROJECT_VERSION) &&\
+	tar cJf yaskkserv-$(PROJECT_VERSION).tar.xz yaskkserv-$(PROJECT_VERSION) &&\
+	sha1sum yaskkserv-$(PROJECT_VERSION).tar.gz yaskkserv-$(PROJECT_VERSION).tar.xz
 
 setup			:
 	mkdir -p $(VAR_PATH)/skk/architecture/$(ARCHITECTURE_LOWER_CASE)

=== debian/changelog ===
yaskkserv (0.6.1-2) unstable; urgency=medium

  * debian/watch: fix suffix. (Closes: #739748)
  * debian/control: change build-dep on gnutls. (Closes: #743788)
  * patch to use default search path for libraries. (Closes: #722874)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 07 Apr 2014 09:15:50 +0900

yaskkserv (0.6.1-1) unstable; urgency=low

  * New upstream release.
    - Now depends on gnutls-dev.
  * New Standards-Version: 3.9.5
  * Remove old DM-Upload-Allowed field.
  * Update manpage for yaskkserv_hairy.
  * Add option sample for hairy to defalut file.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 14 Feb 2014 07:25:26 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
-DM-Upload-Allowed: yes
 Homepage: http://umiushi.org/~wac/yaskkserv/
-Build-Depends: debhelper (>= 5), g++ (>= 4:4.3)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 5), g++ (>= 4:4.3), libgnutls-openssl-dev
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/yaskkserv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yaskkserv.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Makefile.config:
 	dh_testdir
-	./configure --prefix=$(CURDIR)/debian/yaskkserv/usr --gplusplus=g++ --enable-google-japanese-input
+	./configure --prefix=$(CURDIR)/debian/yaskkserv/usr --compiler=g++ --enable-google-japanese-input --enable-google-suggest
 
 build: build-arch build-indep
 build-arch: build-stamp

## yaskkserv 1.0.0

=== debian/changelog ===
yaskkserv (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 12 May 2015 09:58:38 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
 Homepage: http://umiushi.org/~wac/yaskkserv/
 Build-Depends: debhelper (>= 5), g++ (>= 4:4.3), libgnutls-openssl-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/yaskkserv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yaskkserv.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs README.TXT
+	dh_installdocs README.md
 	cp -R documentation $(CURDIR)/debian/yaskkserv/usr/share/doc/yaskkserv/
 	dh_installexamples
 	dh_install debian/update-skkdic-yaskkserv usr/sbin

## yaskkserv 1.1.0

=== debian/changelog ===
yaskkserv (1.1.0-2) unstable; urgency=medium

  * Fix systemd support. (#845182)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 21 Nov 2016 23:21:09 +0900

yaskkserv (1.1.0-1) unstable; urgency=medium

  * New upstream release.
    - support systemd unit
  * New Standards-Version: 3.9.8
  * Refresh packaging style

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 21 Nov 2016 08:58:20 +0900

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
 Homepage: http://umiushi.org/~wac/yaskkserv/
-Build-Depends: debhelper (>= 5), g++ (>= 4:4.3), libgnutls-openssl-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/yaskkserv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yaskkserv.git;a=summary
+Build-Depends: debhelper (>= 9.20160709~), libgnutls28-dev, libsystemd-dev [linux-any]
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/yaskkserv.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/yaskkserv.git
 
 Package: yaskkserv
 Architecture: any
 Provides: skkserv
 Conflicts: skkserv, skkinput
 Replaces: skkserv
-Depends: skkdic, ${shlibs:Depends}, ${misc:Depends}
+Depends: skkdic, lsb-base, ${shlibs:Depends}, ${misc:Depends}
 Recommends: skkdic-extra
 Enhances: ddskk, uim-skk, scim-skk, ibus-skk
 Description: small and fast SKK dictionary server intended for embedded use

## yaskkserv 1.1.1

=== Makefile ===
--- 
+++ 
@@ -83,14 +83,13 @@
 package			:
 	$(MKDIR) -p var &&\
 	$(MKDIR) -p var/package &&\
-	$(RM) -rf var/package/yaskkserv-$(PROJECT_VERSION) &&\
-	hg archive var/package/yaskkserv-$(PROJECT_VERSION) &&\
+	$(RM) -rf var/package/yaskkserv-$(PROJECT_VERSION).tar.gz &&\
+	$(RM) -rf var/package/yaskkserv-$(PROJECT_VERSION).tar.xz &&\
+	git archive --prefix=yaskkserv-$(PROJECT_VERSION)/ HEAD -o var/package/yaskkserv-$(PROJECT_VERSION).tar &&\
+	# hg archive var/package/yaskkserv-$(PROJECT_VERSION) &&\
 	cd var/package &&\
-	$(RM) -f yaskkserv-$(PROJECT_VERSION)/.hg_archival.txt &&\
-	$(RM) -f yaskkserv-$(PROJECT_VERSION)/.hgignore &&\
-	$(RM) -rf yaskkserv-$(PROJECT_VERSION)/local &&\
-	tar czf yaskkserv-$(PROJECT_VERSION).tar.gz yaskkserv-$(PROJECT_VERSION) &&\
-	tar cJf yaskkserv-$(PROJECT_VERSION).tar.xz yaskkserv-$(PROJECT_VERSION) &&\
+	gzip -c -9 yaskkserv-$(PROJECT_VERSION).tar > yaskkserv-$(PROJECT_VERSION).tar.gz &&\
+	xz -9 yaskkserv-$(PROJECT_VERSION).tar &&\
 	sha1sum yaskkserv-$(PROJECT_VERSION).tar.gz yaskkserv-$(PROJECT_VERSION).tar.xz
 
 setup			:

=== debian/changelog ===
yaskkserv (1.1.1-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:46:49 +1100

yaskkserv (1.1.1-3build1) noble; urgency=high

  * No change rebuild against libgnutls-openssl27t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 18:00:48 +0100

yaskkserv (1.1.1-3) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Install yaskkserv.service only once (Closes: #1054476)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 18:13:55 +0100

yaskkserv (1.1.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer field to QA Group.
    - Acked by previous maintainer.
      He intends to orphan package, but he does not have his time.
      Thanks to Satoru KURASHIKI <lurdan@gmail.com> for previous works.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 03 Oct 2023 17:19:38 +0900

yaskkserv (1.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

  [ KURASHIKI Satoru ]
  * New upstream release.
  * New Standards-Version: 4.4.0

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 20 Sep 2019 16:17:17 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: yaskkserv
 Section: utils
-Priority: extra
-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Uploaders: Tatsuya Kinoshita <tats@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://umiushi.org/~wac/yaskkserv/
 Build-Depends: debhelper (>= 9.20160709~), libgnutls28-dev, libsystemd-dev [linux-any]
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/yaskkserv.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/yaskkserv.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/debian/yaskkserv.git
+Vcs-Browser: https://salsa.debian.org/debian/yaskkserv
 
 Package: yaskkserv
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_LDFLAGS_MAINT_APPEND = -defs

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_auto_configure:
	./configure --prefix=$(CURDIR)/debian/yaskkserv/usr --compiler=g++ --enable-google-japanese-input --enable-google-suggest

override_dh_auto_clean:
	[ ! -f Makefile.config ] || $(MAKE) clean
	rm -rf Makefile.config
	rm -rf var/
#	dh_auto_clean

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_install:
	$(MAKE) install_all #clean
